---
title: Text.replaceWholeText()
slug: Web/API/Text/replaceWholeText
tags:
  - API
  - DOM
  - Method
  - Obsolete
  - Text
---
<p>{{ ApiRef("DOM") }}</p>

<p>{{ obsolete_header }}</p>

<p>The <strong><code>Text.replaceWholeText()</code></strong> method replaces the text of the node and all of its logically adjacent text nodes with the specified text. The replaced nodes are removed, including the current node, unless it was the recipient of the replacement text.</p>

<p>A {{domxref("DOMException")}} with the value <code>NO_MODIFICATION_ERR</code> is thrown if one of the text nodes being replaced is read only.</p>

<p>This method returns the text node which received the replacement text, or <code>null</code> if the replacement text is an empty string.  The returned node is the current node unless the current node is read only, in which case the returned node is a newly created text node of the same type which has been inserted at the location of the replacement.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>replacementNode</em> = <em>textnode</em>.replaceWholeText(content) </pre>

<h2 id="Example">Example</h2>

<p>See the example for the {{domxref("Text.wholeText")}} property.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Core', 'core.html#ID-1312295772', 'Text')}}</td>
   <td>{{Spec2('DOM3 Core')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Text.replaceWholeText")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("Text")}} interface it belongs to.</li>
</ul>
